@echo off
rem 
rem Setup Java virtualization for flight confirmation server
rem

echo Installing and configuring Java agent for FCS...

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ..\install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf RTCP_URL
call Utils.bat readConf OPTS_FOLDER

echo Copying files
copy /Y "%TOOLS_PATH%"\Java\Agent\*.jar "%OPTS_FOLDER%\fcs"
copy /Y "%TOOLS_PATH%"\Java\Agent\*.xml "%OPTS_FOLDER%\fcs"

echo Updating FlightConfirmationServer.bat
cscript "%UTILS_PATH%"\Utils.vbs ReplaceToken "%OPTS_FOLDER%\fcs\FlightConfirmationServer.bat" "java -cp" "java -javaagent:greenhat.javaagent.jar=registration.xml -cp"

echo Java agent installed.

cd %CURRENT_PATH%