#!/bin/bash
#
# Setup Java virtualization for the flight confirmation server.
#

echo "Installing and configuring Java agent for FCS..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Copying files to Flight Confirmation Server"
cp $TOOLS_PATH/Java/Agent/*.jar /opt/vbooking/fcs/
cp $TOOLS_PATH/Java/Agent/*.xml /opt/vbooking/fcs/

echo "Java agent installed for FCS."
