#!/bin/bash
#
# Setup the WebSphere MQ Exit.
#

echo "Updating the WebSphere MQ Exit..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Stopping WebSphere MQ"
#su - mqm -c "cd /opt/mqm/bin; ./endmqm -i QM_vbooking "
#su - mqm -c "cd /opt/mqm/bin; ./endmqlsr -m QM_vbooking & "
service qm_vbooking stop

echo "Copying files"
cp $TOOLS_PATH/IBM/WebSphereMQ/dist/7.1-8.0/intercept_linux_x86 /var/mqm/exits
cp $TOOLS_PATH/IBM/WebSphereMQ/dist/7.1-8.0/intercept_linux_x86_r /var/mqm/exits
cp $TOOLS_PATH/IBM/WebSphereMQ/dist/7.1-8.0/intercept_linux_x86_64 /var/mqm/exits64
cp $TOOLS_PATH/IBM/WebSphereMQ/dist/7.1-8.0/intercept_linux_x86_64_r /var/mqm/exits64

echo "Adding soft links"
ln -s /var/mqm/exits/intercept_linux_x86 /var/mqm/exits/intercept
ln -s /var/mqm/exits/intercept_linux_x86_r /var/mqm/exits/intercept_r
ln -s /var/mqm/exits64/intercept_linux_x86_64 /var/mqm/exits64/intercept
ln -s /var/mqm/exits64/intercept_linux_x86_64_r /var/mqm/exits64/intercept_r
chown -h mqm:mqm /var/mqm/exits/intercept*
chown -h mqm:mqm /var/mqm/exits64/intercept*
chmod 644 /var/mqm/exits/intercept*
chmod 644 /var/mqm/exits64/intercept*

echo "Starting WebSphere MQ"
#su - mqm -c "cd /opt/mqm/bin; ./strmqm QM_vbooking "
#su - mqm -c "cd /opt/mqm/bin; ./strmqcsv QM_vbooking "
#su - mqm -c "cd /opt/mqm/bin; ./runmqlsr -m QM_vbooking -t TCP -p 1414 & "
service qm_vbooking start

echo "MQ Exit updated."
