@echo off
rem 
rem Setup JDBC driver for standalone servers
rem

echo Installing and configuring JDBC driver for standalone servers...

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ..\install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf OPTS_FOLDER

echo Please manually stop the currency server before proceeding. Press any key if currency server is already stopped>con
timeout 30

echo Copying files to Flight Confirmation Server
copy /Y "%TOOLS_PATH%"\Java\JDBC\*.jar "%OPTS_FOLDER%\currency"
copy /Y "%TOOLS_PATH%"\Java\JDBC\*.xml "%OPTS_FOLDER%\currency"
copy /Y "%TOOLS_PATH%"\Java\JDBC\*.jar "%OPTS_FOLDER%\availableSeats"
copy /Y "%TOOLS_PATH%"\Java\JDBC\*.xml "%OPTS_FOLDER%\availableSeats"

echo Starting Currency Server
cd "%OPTS_FOLDER%"\currency\
start currency.bat
echo Starting AvailableSeats Server
cd "%OPTS_FOLDER%"\availableSeats\
start availableSeatsServer.bat


echo JDBC driver for standalone servers updated.

cd %CURRENT_PATH%