#!/bin/bash
#
# Setup the JDBC driver for Tomcat.
#

echo "Updating JDBC driver for Tomcat...."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Stopping Tomcat"
#$TOMCAT_PATH/bin/shutdown.sh
service vbtomcat stop

echo "Copying files"
cp $TOOLS_PATH/Java/JDBC/*.jar $TOMCAT_PATH/lib/
cp $TOOLS_PATH/Java/JDBC/*.xml $TOMCAT_PATH/lib/
chown $USERNAME_TOMCAT:$USERGROUP_TOMCAT $TOMCAT_PATH/lib/*.jar
chown $USERNAME_TOMCAT:$USERGROUP_TOMCAT $TOMCAT_PATH/lib/*.xml

echo "Starting Tomcat"
#$TOMCAT_PATH/bin/startup.sh
service vbtomcat start

echo "JDBC driver updated for Tomcat."
