#!/bin/bash
#
# Setup the HTTP proxy for Tomcat.
#

echo "Configuring HTTP Proxy for Tomcat...."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Stopping Tomcat"
#$TOMCAT_PATH/bin/shutdown.sh
service vbtomcat stop

echo "Updating setenv.sh"
sed -i.bak 's/export\ JAVA_OPTS/JAVA_OPTS=\"\$JAVA_OPTS\ \-Dhttp.nonProxyHosts=\ \-Dhttp.proxyHost='$HTTP_PROXY_HOST'\ \-Dhttp.proxyPort='$HTTP_PROXY_PORT'\"\
export\ JAVA_OPTS/g' $TOMCAT_PATH/bin/setenv.sh

echo "Starting Tomcat"
#$TOMCAT_PATH/bin/startup.sh
service vbtomcat start

echo "HTTP Proxy configured for Tomcat."
