@echo off

goto:main

rem ***************************************************************************************
:readConf    
REM call:readConf HOST
REM echo Read %HOST% <defaultConfFile folder> from defaultConfFile
set confFile=%~3
if NOT DEFINED confFile (
	set confFile=%defaultConfFile%
) else (
	set confFile=%confFile%
)
for /f "tokens=2 delims==" %%a in ('find "%~2=" %confFile%') do @set %~2=%%a
set confFile=
goto:eof

:readConfYN
REM call:readConfYN HOST default
REM echo Read %HOST% <defaultConfFile folder> from defaultConfFile
set conf_Answer=%~3
if NOT DEFINED conf_Answer (
	set conf_Answer=N
)
set confFile=%~4
if NOT DEFINED confFile (
	set confFile=%defaultConfFile%
) else (
	set confFile=%confFile%
)
for /f "tokens=2 delims==" %%a in ('find "%~2=" %confFile%') do @set conf_Answer=%%a
IF %conf_Answer% EQU Y (
	SET %~2=Y
) ELSE (
	IF %conf_Answer% EQU y (
		SET %~2=Y
	) ELSE (
		set %~2=N
	)
)
set conf_Answer=
set confFile=

goto:eof


rem ***************************************************************************************
:checkAdmin
net session >nul 2>&1
if %errorLevel% == 0 (
REM if net session fails errorLevel will be non-zero
	SET %~2=Y
) else (
	SET %~2=N
)
goto:eof

rem ****************************************************************************************
:checkTomCatRunning
tasklist /FI "IMAGENAME eq tomcat.exe" | find /C /I ".exe" > NUL
if %errorlevel%==0 (
	SET %~2=Y
) else (
	SET %~2=N
)
goto:eof

rem ***************************************************************************************
:promptYN 
REM call:promptYN message answer
REM Returns 1 if Y otherwise 0.
set /p prompt_Answer=%~2
if %prompt_Answer% EQU Y (
	SET %~3=Y
) ELSE if %prompt_Answer% EQU y (
	SET %~3=Y
) ELSE (
	SET %~3=N
)
set prompt_Answer=
goto:eof

rem ***************************************************************************************
:promptPath
REM call:promptPath message answer
:reprompt:
set /p prompt_Answer=%~2: 
IF "%prompt_Answer%"=="" (
	SET %~3=""
	REM return
	goto:eof
)
if exist %prompt_Answer% (
	SET %~3=%prompt_Answer%
) else (
	SET "prompt_Answer="
	echo Path not found please try again, or press enter to cancel.
	goto:reprompt
)
set prompt_Answer=
goto:eof

rem ***************************************************************************************
:CheckSetDB2Path
REM Find the DB2 install location
set db2Path=
if DEFINED DB2_PATH (
	goto:testDB2Path
)
IF EXIST "C:\Program Files\IBM\SQLLIB\BIN\db2.exe" (
	SET db2Path="C:\Program Files\IBM\SQLLIB"
	GOTO:PATHFOUND
)
IF EXIST "C:\Program Files (x86)\IBM\SQLLIB\BIN\db2.exe" (
	SET db2Path="C:\Program Files ^(x86^)\IBM\SQLLIB"
	GOTO:PATHFOUND	
)
IF EXIST "C:\IBM\SQLLIB\BIN\db2.exe" (
	SET db2Path="C:\IBM\SQLLIB"
	GOTO:PATHFOUND
)
:testDB2Path
if NOT Exist "%DB2_PATH%\bin\db2.exe" (
	call Utils.bat promptPath "Unable to verify DB2_PATH, please specify the location of BIN\db2.exe which contains db2.exe. Do not include \bin\db2.exe" db2Path
)
:PATHFOUND
if DEFINED db2Path (
	REM a new path has been identified
	REM set for current process environment variable
	SET DB2_PATH=%db2Path:"=%
	REM set machine environment variable for future use
	SETX /M DB2_PATH %db2Path%
)
goto:eof

:confFileNameOnly
REM Usage: call Utils.bat confFileNameOnly
REM 		echo %confFileNameOnly%
SET %~1=%defaultConfFileNameOnly%
goto:eof

:confFileName
REM Usage: call Utils.bat confFileName
REM 		echo %confFileName%
SET %~1=%defaultConfFile%
goto:eof

:main
set defaultConfFileNameOnly=installer-variables-windows.conf
set defaultConfFile=..\..\..\%defaultConfFileNameOnly%
goto %1
