call Utils.bat readConf USERNAME_DB2_VBOOKING
call Utils.bat readConf PASSWORD_DB2_VBOOKING
call Utils.bat readConf USERNAME_DB2_INSTANCE
call Utils.bat readConf SCHEMA_DB2_VBOOKING
call Utils.bat readConf PORT_DB2_INSTANCE

echo Configuring VBooking Database
(
	echo db2clpsetcp
	rem the line below seems to stop DB2 from working correctly
	rem see http://www-01.ibm.com/support/docview.wss?uid=swg21642457
	rem echo db2 update database manager configuration using svcename db2c_%USERNAME_DB2_INSTANCE%
	echo db2 update database manager configuration using svcename %PORT_DB2_INSTANCE%
	echo db2set DB2COMM=tcpip
	echo db2stop
	echo db2start
	echo db2 create database VBOOKING
	echo db2 connect to VBOOKING user %USERNAME_DB2_VBOOKING% using %PASSWORD_DB2_VBOOKING%
	echo db2 CREATE SCHEMA %SCHEMA_DB2_VBOOKING% AUTHORIZATION %USERNAME_DB2_VBOOKING%
	echo db2 -tvf DB2_createReservationsTable.sql
	echo db2 -tvf DB2_createFlightsTable.sql
	echo db2 -tvf DB2_createFrequentFlyerTable.sql
	echo db2 -td@ -f DB2_createFlyCheckSproc.sql
	echo db2 -td@ -f DB2_createSeatCheckSproc.sql
	echo db2 disconnect VBOOKING	
	
	echo db2 create database VBEXRATE
	echo db2 connect to VBEXRATE user %USERNAME_DB2_VBOOKING% using %PASSWORD_DB2_VBOOKING%
	echo db2 CREATE SCHEMA %SCHEMA_DB2_VBOOKING% AUTHORIZATION %USERNAME_DB2_VBOOKING%
	echo db2 -tvf DB2_createCurrencyTable.sql
	echo db2 disconnect VBEXRATE	
) > db2CreateVBooking.bat
