@echo off
REM Setup the VBooking database

echo Configuring DB2....
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%

cd "%SCRIPT_PATH%"
rem Create the DB2 instance user and the VBooking user
rem NOTE: Do we need to add users to Windows?
call Utils.bat readConf USERNAME_DB2_INSTANCE
call Utils.bat readConf USERNAME_DB2_VBOOKING
call Utils.bat readConf PASSWORD_DB2_VBOOKING

REM echo Creating users
REM if NOT %USERNAME_DB2_INSTANCE% EQU "" (
REM	net user %USERNAME_DB2_INSTANCE% /add
REM 	net user %USERNAME_DB2_VBOOKING% %PASSWORD_DB2_VBOOKING% /add
REM )

call Utils.bat CheckSetDB2Path REM set's DB2_PATH
echo DB2 located at %DB2_PATH%

rem Default install add's instnce and configuration
call Utils.bat readConfYN CREATE_DB2_INSTANCE N	
IF %CREATE_DB2_INSTANCE% EQU Y (
	echo Creating DB2 instance
	"%DB2_PATH%\bin\db2icrt" %USERNAME_DB2_INSTANCE% /p:c:\%USERNAME_DB2_INSTANCE%
) else (
	echo Skipping Create DB2 Instance
)

call Utils.bat readConfYN CONFIGURE_DB2_TCP_INSTANCE N 
call Utils.bat readConf PORT_DB2_INSTANCE
IF %CONFIGURE_DB2_TCP_INSTANCE% EQU Y (
	echo Updating services with new instance and port
	echo db2c_%USERNAME_DB2_INSTANCE% %PORT_DB2_INSTANCE%/tcp # DB2 connection service port >> %SystemRoot%\system32\drivers\etc\services
	REM the service needs restarting after updating the services port.
	NET STOP %USERNAME_DB2_INSTANCE%
	NET START %USERNAME_DB2_INSTANCE%
) else (
	echo Skipping TCP configuration
)

call VBooking-CreateDatabaseScript.bat
call Utils.bat readConfYN CREATE_VBOOKING_DATABASE N
IF %CREATE_VBOOKING_DATABASE% EQU Y (
	if NOT "%DB2_PATH%" == "" (
		echo Configuring VBooking Database
		@echo on
		db2cmd -i -c -w db2CreateVBooking.bat
		@echo off
	) else (
		ECHO Unable to locate DB2 bin location. Please set DB2_PATH to an appropriate value before trying again.
	)
) else (
	echo Skipping VBooking database creation
)
echo DB2 Configured!

