#!/bin/bash
#
# Install the Vacation Booking documentation
#

echo "Installing Vacation Booking documentation"

THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"

source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

if [ ! -e $SCRIPT_ROOT_PATH/docs ]; then
	echo "Documentation not found."
	exit 1
fi

if [ ! -e $DOCUMENTATION_FOLDER ]; then
	echo "making dir"
	mkdir $DOCUMENTATION_FOLDER
fi

cp $SCRIPT_ROOT_PATH/docs/*.pdf $DOCUMENTATION_FOLDER/
cp $SCRIPT_ROOT_PATH/license.pdf $DOCUMENTATION_FOLDER/

echo "Vacation Booking documentation installed."


