#!/bin/bash
#
# Script to install WAS frequent flyer app 
#
echo "Installing frequentflyer service in WAS..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables.conf

#Find the DB2 install location
A=$(/usr/local/bin/db2ls -c | cut -d : -f 1)
DB2_PATH=${A:6}

#echo "Starting WAS Server"
#$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/startServer.sh server1
echo "Running Python Config Script"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/wsadmin.sh -f $THIS_SCRIPT_PATH/VBooking-ff.py $HOST $DB2_PATH $NAME_QUEUE_MANAGER $PORT_QUEUE_MANAGER $CHANNEL_QUEUE_WEBAPP $USERNAME_DB2_VBOOKING $PASSWORD_DB2_VBOOKING $SCHEMA_DB2_VBOOKING $FREQUENT_FLYER_URL $SCRIPT_ROOT_PATH
echo "Stopping WAS Server"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/stopServer.sh server1
echo "Starting WAS Server"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/startServer.sh server1
echo "WAS configured with frequentflyer service!"
