#!/bin/bash
#
# Setup Java virtualization for Tomcat.
#

echo "Installing and configuring Java agent for Tomcat..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Copying files to Tomcat"
cp $TOOLS_PATH/Java/Agent/*.jar $TOMCAT_PATH/agent
cp $TOOLS_PATH/Java/Agent/*.xml $TOMCAT_PATH/agent

echo "Java agent installed for Tomcat."
