#!/bin/bash
#
# Script to setup the HTTP proxy for Websphere Application Server.
#
echo "Configuring HTTP Proxy for WAS..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Starting WAS Server"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/startServer.sh server1

echo "Running Jython Config Script"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/wsadmin.sh -f $THIS_SCRIPT_PATH/WAS-Proxy-Install.py $HTTP_PROXY_HOST $HTTP_PROXY_PORT

echo "Stopping WAS Server"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/stopServer.sh server1

echo "Starting WAS Server"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/startServer.sh server1

echo "HTTP Proxy configured for WAS."
