#!/bin/bash
#
# Resets the Vacation Booking database to a known starting point.

. /home/db2inst1/sqllib/db2profile

db2 connect to VBOOKING user vbuser using "vbpassword";

db2 -tvf /opt/vbooking/scripts/db2/DB2_populateFlightsTable.sql
db2 -tvf /opt/vbooking/scripts/db2/DB2_populateReservationsTable.sql
db2 -tvf /opt/vbooking/scripts/db2/DB2_populateFrequentFlyerTable.sql
db2 disconnect VBOOKING

db2 connect to VBEXRATE user vbuser using "vbpassword";
db2 -tvf /opt/vbooking/scripts/db2/DB2_populateCurrencyTable.sql
db2 disconnect VBEXRATE
