@echo off
rem
rem Remove vbooking tomcat
rem

echo Uninstalling and removing Tomcat

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%

cd "%SCRIPT_PATH%"

ECHO Clearing out Tomcat web apps
call Utils.bat readConf TOMCAT_PATH
call Utils.bat readConf TOMCAT_ZIP_SUB_FOLDER
call Utils.bat readConf TOMCAT_SERVICE_NAME
call Utils.bat readConf TOMCAT_VERSION
call Utils.bat readConfYN TOMCAT_PREINSTALLED_AS_WINDOWS_SERVICE N

SET tcFolder=%TOMCAT_PATH%
IF EXIST %TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER% (
	set tcFolder=%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%
)

REM call Utils.bat checkTomCatRunning IS_TOMCAT_RUNNING
REM does not seem reliable
REM IF %IS_TOMCAT_RUNNING% == Y (
	cd /d "%tcFolder%"\bin
	echo Stopping Tomcat.

	if %TOMCAT_PREINSTALLED_AS_WINDOWS_SERVICE% == N (
		call shutdown.bat
	) ELSE (
		call tomcat%TOMCAT_VERSION% stop %TOMCAT_SERVICE_NAME%
	)
	echo A 30 second timeout is set to allow Tomcat to stop fully. Press any key if you're sure Tomcat has aready stopped.>con
	timeout 30
	cd /d "%SCRIPT_PATH%"
REM )

del %tcFolder%\webapps\checkinWS.war
del %tcFolder%\webapps\hotelsWS.war
del %tcFolder%\webapps\vbooking-admin.war
del %tcFolder%\webapps\vbooking-home.war
rmdir /s/q %tcFolder%\webapps\checkinWS
rmdir /s/q %tcFolder%\webapps\hotelsWS
rmdir /s/q %tcFolder%\webapps\vbooking-admin
rmdir /s/q %tcFolder%\webapps\vbooking-home

REM Comment out the following line to keep your Tomcat install. You may need to adjust the installation 
REM to account for it's presence.
rmdir /s/q %TOMCAT_PATH%

echo Tomcat configuration removed!
