@echo off
rem
rem Script to create a WAS server and configure it for the Vacation Booking app
rem 
echo Configuring WAS...
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%

cd "%SCRIPT_PATH%"
REM Find the DB2 install location
call Utils.bat CheckSetDB2Path 

echo Starting WAS Server
call Utils.bat readConf PATH_WAS_HOME
call Utils.bat readConf NAME_WAS_INSTANCE
call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\startServer.bat" server1

echo Running Python Config Script
call Utils.bat readConf HOST
call Utils.bat readConf NAME_QUEUE_MANAGER
call Utils.bat readConf PORT_QUEUE_MANAGER
call Utils.bat readConf CHANNEL_QUEUE_WEBAPP
call Utils.bat readConf USERNAME_DB2_VBOOKING
call Utils.bat readConf PASSWORD_DB2_VBOOKING
call Utils.bat readConf SCHEMA_DB2_VBOOKING
call Utils.bat readConf FREQUENT_FLYER_URL
call Utils.bat readConf AVAILABLE_SEATS_URL
call Utils.bat readConf CONFIGURE_CICS_INTERFACE
call Utils.bat readConf GATEWAY_SERVER_NAME
call Utils.bat readConf GATEWAY_URL
call Utils.bat readConf PROGRAM_NAME
call Utils.bat readConf CICSTG_JAR_LOCATION
call Utils.bat readConf PATH_WAS_HOME
call Utils.bat readConf NAME_WAS_INSTANCE

rem Python script does not like \ it ends up removing B\B from SQLLIB\BIN
setlocal ENABLEDELAYEDEXPANSION
set FSlash=/
set DB2_PATH_FSlash="%DB2_PATH%"
set DB2_PATH_FSlash=%DB2_PATH_FSlash:\=!FSlash!%
set CURRENT_PATH_FSlash="%CURRENT_PATH%"
set CURRENT_PATH_FSlash
echo CURRENT_PATH_FSlash=%CURRENT_PATH_FSlash:\=!FSlash!%
setlocal DISABLEDELAYEDEXPANSION


call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\wsadmin" -lang jython -f  VBooking-WAS.py %HOST% %DB2_PATH_FSlash% %NAME_QUEUE_MANAGER% %PORT_QUEUE_MANAGER% %CHANNEL_QUEUE_WEBAPP% %USERNAME_DB2_VBOOKING% %PASSWORD_DB2_VBOOKING% %SCHEMA_DB2_VBOOKING% %FREQUENT_FLYER_URL% %AVAILABLE_SEATS_URL% %CONFIGURE_CICS_INTERFACE% %GATEWAY_SERVER_NAME% %GATEWAY_URL% %PROGRAM_NAME% ../../../ "%CICSTG_JAR_LOCATION%" "%PATH_WAS_HOME%" "%NAME_WAS_INSTANCE%"
echo Stopping WAS Server
call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\stopServer.bat" server1

echo Starting WAS Server
call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\startServer.bat" server1
echo WAS configured!
