@echo off

REM
REM Install extra utility scripts
REM

echo Installing and configuring extra scripts...
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
echo Script executed from %SCRIPT_PATH%

REM Ensure we're in script folder
cd "%SCRIPT_PATH%"

echo Copying Vacation Booking scripts
REM Equivalent of Opts Folder
call Utils.bat readConf OPTS_FOLDER
cscript Utils.vbs CheckCreateFolder %OPTS_FOLDER%\scripts
xcopy "%CURRENT_PATH%\vbooking\scripts" %OPTS_FOLDER%\scripts\ /Y/E

REM copy files likely generated or modified during build
call Utils.bat confFileName
copy %confFileName% %OPTS_FOLDER%\scripts\install\ /Y

echo "Vacation Booking scripts installed"

:theEnd
